Package com.logicaldoc.core.document

# Enum Class DocumentEvent

java.lang.Object
java.lang.Enum<DocumentEvent>
com.logicaldoc.core.document.DocumentEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentEvent>`, `Constable`

public enum DocumentEvent extends Enum<DocumentEvent>
Possible events in the document's history

Since:
  6.6
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED_TO_CALEVENT`
`ARCHIVED`
`BARCODED`
`CHANGED`
`CHECKEDIN`
`CHECKEDOUT`
`COMPARED`
`CONVERTED`
`COPYED`
`DELETED`
`DOWNLOADED`
`EMBEDDED`
`ESIGNED`
`EXPORTED`
`EXPORTPDF`
`FORM_EDITED`
`FORM_SUBMITTED`
`IMMUTABLE`
`INDEXED`
`INDEXED_ERROR`
`LOCKED`
`MOVED`
`NEW_NOTE`
`PASSWORD_PROTECTED`
`PASSWORD_UNPROTECTED`
`PERMISSION`
`RATING_NEW`
`READING_CONFIRMED`
`READING_REQUESTED`
`REMOVED_FROM_CALEVENT`
`RENAMED`
`RESOURCE_DELETED`
`RESTORED`
`SENT`
`SHORTCUT_DELETED`
`SHORTCUT_MOVED`
`SHORTCUT_STORED`
`SIGNED`
`STAMPED`
`STORED`
`SUBSCRIBED`
`TICKET_CREATED`
`UNLOCKED`
`VERSION_DELETED`
`VERSION_REPLACED`
`VIEWED`
`WORKFLOWAPPENDED`
`WORKFLOWSTATUS`
`ZONALOCRD`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`allKeys()`
Retrieves the all resource bundle keys
`static DocumentEvent`
`fromKey(String key)`
Gets the right enumeration entry from the corresponding resource bundle key
`String`
`toKey()`
Converts the enumeration entry to the corresponding key in the resource bundle
`String`
`toString()`
`static DocumentEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STORED

public static final DocumentEvent STORED

### CHANGED

public static final DocumentEvent CHANGED

### CHECKEDIN

public static final DocumentEvent CHECKEDIN

### CHECKEDOUT

public static final DocumentEvent CHECKEDOUT

### IMMUTABLE

public static final DocumentEvent IMMUTABLE

### RENAMED

public static final DocumentEvent RENAMED

### DOWNLOADED

public static final DocumentEvent DOWNLOADED

### INDEXED

public static final DocumentEvent INDEXED

### INDEXED_ERROR

public static final DocumentEvent INDEXED_ERROR

### MOVED

public static final DocumentEvent MOVED

### LOCKED

public static final DocumentEvent LOCKED

### UNLOCKED

public static final DocumentEvent UNLOCKED

### ARCHIVED

public static final DocumentEvent ARCHIVED

### DELETED

public static final DocumentEvent DELETED

### RESOURCE_DELETED

public static final DocumentEvent RESOURCE_DELETED

### SENT

public static final DocumentEvent SENT

### BARCODED

public static final DocumentEvent BARCODED

### ZONALOCRD

public static final DocumentEvent ZONALOCRD

### WORKFLOWSTATUS

public static final DocumentEvent WORKFLOWSTATUS

### WORKFLOWAPPENDED

public static final DocumentEvent WORKFLOWAPPENDED

### SHORTCUT_STORED

public static final DocumentEvent SHORTCUT_STORED

### SHORTCUT_MOVED

public static final DocumentEvent SHORTCUT_MOVED

### SHORTCUT_DELETED

public static final DocumentEvent SHORTCUT_DELETED

### VIEWED

public static final DocumentEvent VIEWED

### RESTORED

public static final DocumentEvent RESTORED

### NEW_NOTE

public static final DocumentEvent NEW_NOTE

### SIGNED

public static final DocumentEvent SIGNED

### EXPORTPDF

public static final DocumentEvent EXPORTPDF

### EXPORTED

public static final DocumentEvent EXPORTED

### ADDED_TO_CALEVENT

public static final DocumentEvent ADDED_TO_CALEVENT

### REMOVED_FROM_CALEVENT

public static final DocumentEvent REMOVED_FROM_CALEVENT

### SUBSCRIBED

public static final DocumentEvent SUBSCRIBED

### STAMPED

public static final DocumentEvent STAMPED

### TICKET_CREATED

public static final DocumentEvent TICKET_CREATED

### PASSWORD_PROTECTED

public static final DocumentEvent PASSWORD_PROTECTED

### PASSWORD_UNPROTECTED

public static final DocumentEvent PASSWORD_UNPROTECTED

### RATING_NEW

public static final DocumentEvent RATING_NEW

### CONVERTED

public static final DocumentEvent CONVERTED

### VERSION_DELETED

public static final DocumentEvent VERSION_DELETED

### VERSION_REPLACED

public static final DocumentEvent VERSION_REPLACED

### COMPARED

public static final DocumentEvent COMPARED

### COPYED

public static final DocumentEvent COPYED

### ESIGNED

public static final DocumentEvent ESIGNED

### FORM_SUBMITTED

public static final DocumentEvent FORM_SUBMITTED

### FORM_EDITED

public static final DocumentEvent FORM_EDITED

### READING_CONFIRMED

public static final DocumentEvent READING_CONFIRMED

### READING_REQUESTED

public static final DocumentEvent READING_REQUESTED

### PERMISSION

public static final DocumentEvent PERMISSION

### EMBEDDED

public static final DocumentEvent EMBEDDED

## Method Details

### values

public static DocumentEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocumentEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromKey

public static DocumentEvent fromKey(String key)
Gets the right enumeration entry from the corresponding resource bundle key

Parameters:
  `key` - the resource bundle key
Returns:
  The corresponding entry

### toKey

public String toKey()
Converts the enumeration entry to the corresponding key in the resource bundle

Returns:
  The key

### allKeys

public List<String> allKeys()
Retrieves the all resource bundle keys

Returns:
  A list of keys

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DocumentEvent>`